gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Looks up icons by name

provides a facility for looking up icons by name and size. The main reason for using a name rather than simply providing a filename is to allow different icons to be used depending on what icon theme is selected by the user. The operation of icon themes on Linux and Unix follows the Icon Theme Specification. There is a default icon theme, named hicolor where applications should install their icons, but more additional application themes can be installed as operating system vendors and users choose.

Named icons are similar to the Themeable Stock Images(3) facility, and the distinction between the two may be a bit confusing. A few things to keep in mind:

Stock images usually are used in conjunction with Stock Items(3)., such as or . Named icons are easier to set up and therefore are more useful for new icons that an application wants to add, such as application icons or window icons.
Stock images can only be loaded at the symbolic sizes defined by the enumeration, or by custom sizes defined by , while named icons are more flexible and any pixel size can be specified.
Because stock images are closely tied to stock items, and thus to actions in the user interface, stock images may come in multiple variants for different widget states or writing directions.

A good rule of thumb is that if there is a stock image for what you want to use, use it, otherwise use a named icon. It turns out that internally stock images are generally defined in terms of one or more named icons. (An example of the more than one case is icons that depend on writing direction; uses the two themed icons "gtk-stock-go-forward-ltr" and "gtk-stock-go-forward-rtl".)

- Constructor
  2.12.0.0
  Default constructor
  Icon theme objects are used to lookup up an icon by name in a particular icon theme. Usually, you will want to use or rather than creating a new icon theme object for scratch.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor.
- Constructor
  2.12.0.0
  a
  Internal constructor.
- Method
  2.12.0.0
  System.Void `` `` `` a , the name of the icon to register a , the size at which to register the icon (different images can be registered for the same icon name at different sizes.) a that contains the image to use for . Registers a built-in icon for icon theme lookups.

  The idea of built-in icons is to allow an application or library that uses themed icons to function requiring files to be present in the file system. For instance, the default images for all of Gtk's stock icons are registered as built-icons.

  In general, if you use you should also install the icon in the icon theme, so that the icon is generally available.

- Method
  2.12.0.0
  System.Void `` a , directory name to append to the icon path Appends a directory to the search path. See .
- Event
  2.12.0.0
  GLib.Signal("changed")
  System.EventHandler Emitted when the current icon theme is switched or Gtk detects that a change has occurred in the contents of the current icon theme.
- Method
  2.12.0.0
  Gtk.IconInfo `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String Sets the name of the icon theme that the object uses overriding system configuration. a , name of icon theme to use instead of configured theme This cannot be used on the icon theme objects returned from .
- Property
  2.12.0.0
  Gtk.IconTheme Gets the icon theme for the default screen. a . A unique associated with the given screen. This icon theme is associated with the screen and can be used as long as the screen is open. See .
- Method
  2.12.0.0
  System.Int32 Returns an integer identifier for an error string. a
- Property
  2.12.0.0
  System.String The name of an icon that is representative of the current theme (for instance, to use when presenting a list of themes to the user.) a , the name of an example icon or .
- Method
  2.12.0.0
  Gtk.IconTheme `` a Gets the icon theme object associated with a . A unique associated with the given screen. This icon theme is associated with the screen and can be used as long as the screen is open. If this function has not previously been called for the given screen, a new icon theme object will be created and associated with the screen. Icon theme objects are fairly expensive to create, so using this function is usually a better choice than calling than and setting the screen yourself; by using this function a single icon theme object will be shared between users.
- Method
  2.12.0.0
  System.Int32[] `` a Gets a list of the sizes for an Icon by name. a An entry of -1 indicates a scalable version of the icon.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Boolean `` a , the name of an icon Checks whether an icon theme includes an icon for a particular name. a , if the IconTheme includes an icon for .
- Method
  2.12.0.0
  System.String[] To be added. To be added. To be added.
- Method
  2.12.0.0
  System.String[] `` a , a string identifying a particular type of icon, or to list all icons. Lists the icons in the current icon theme. a holding the names of all the icons in the theme. Only a subset of the icons can be listed by providing a context string. The set of values for the context string is system dependent, but will typically include such values as 'apps' and 'mimetypes'.
- Method
  2.12.0.0
  Gdk.Pixbuf `` `` `` a , the name of the icon to lookup a , the desired icon size. The resulting icon may not be exactly this size; see . a , flags modifying the behavior of the icon lookup Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf. a the rendered icon or if the icon is not found. This is a convenience function; if more details about the icon are needed, use followed by .
- Method
  2.12.0.0
  Gtk.IconInfo `` `` `` a , the name of the icon to lookup a , desired icon size a , flags modifying the behavior of the icon lookup Looks up a named icon and returns a structure containing information such as the filename of the icon. a containing information about the icon, or if the icon was not found. The icon can then be rendered into a pixbuf using . ( combines these two steps if all you need is the pixbuf.)
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gtk.IconTheme))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` a , directory name to prepend to the icon path Prepends a directory to the search path. See .
- Method
  2.12.0.0
  System.Boolean Checks to see if the icon theme has changed; if it has, any currently cached information is discarded and will be reloaded next time the IconTheme is accessed. a , if the icon theme has changed and needed to be reloaded.
- Property
  2.12.0.0
  Gdk.Screen Sets the screen for an icon theme a The screen is used to track the user's currently configured icon theme, which might be different for different screens.
- Property
  2.12.0.0
  System.String[] The current search path a , array of directories that are searched for icon themes

  When looking for an icon theme, Gtk will search for a subdirectory of one or more of the directories in this path with the same name as the icon theme. (Themes from multiple of the path elements are combined to allow themes to be extended by adding icons in the user's home directory.)

  In addition if an icon found is not found either in the current icon theme or the default icon theme, and an image file with the right name is found directly in one of the elements of path, then that image will be used for the icon name. (This is a legacy feature, and new icons should be put into the default icon theme, which is called DEFAULT_THEME_NAME, rather than directly on the icon path.)

- Method
  2.12.0.0
  System.Obsolete("Replaced by SearchPath property.")
  System.Void `` a , array of directories that are searched for icon themes Deprecated method to set the current search path. Replaced by the property.